public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Georgy Yakovlev" <gyakovlev@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/opal-utils/
Date: Tue,  9 Jun 2020 20:50:58 +0000 (UTC)	[thread overview]
Message-ID: <1591735419.5facaf1701025e7a2622ae242a4a96af2866b620.gyakovlev@gentoo> (raw)

commit:     5facaf1701025e7a2622ae242a4a96af2866b620
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  9 20:40:54 2020 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Tue Jun  9 20:43:39 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5facaf17

sys-apps/opal-utils: bump to 6.6.1

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 sys-apps/opal-utils/Manifest                |  1 +
 sys-apps/opal-utils/opal-utils-6.6.1.ebuild | 96 +++++++++++++++++++++++++++++
 2 files changed, 97 insertions(+)

diff --git a/sys-apps/opal-utils/Manifest b/sys-apps/opal-utils/Manifest
index c0fad88b048..ead11c802b8 100644
--- a/sys-apps/opal-utils/Manifest
+++ b/sys-apps/opal-utils/Manifest
@@ -1,2 +1,3 @@
 DIST opal-utils-6.5.2.tar.gz 2082426 BLAKE2B 20256f13f95da73bcccae670627c9786229e756183fad33ff45ecf2d91f1039c73a0f881b3ac794abad35d51b7bef0b780bd0f8260818c84a262ce7bb0c45b2e SHA512 765e568ad60f5cd7df8868eb3faea841d37c75cb14f33ab30f9419550ea146aeec0d02d622752af1e09a36e744f93be3a56fe6cbc8ac91a94effba9754a24091
+DIST opal-utils-6.6.1.tar.gz 2121660 BLAKE2B 29ee388e75d86cba346d48834840bde22e6c38404b1dc3544fe7a2c64d584fed95aff8755bcadfba7f3753a764a120d31daa2d8f32e4a4298b65babc44a08193 SHA512 b460de30aa76b1c2bc66b636b995e32abc8554b3a7d8ac5b71401d7f07d999d5b4ca4328a6bbaa9c7c82c237b0e6be5557c9d13f4bbba5c7f625888aaf9cb65e
 DIST opal-utils-6.6.tar.gz 2119590 BLAKE2B 3c2b0b77fdaa22f075afe1d7205865b76e45e865c8799372ab61dbd272015ecb1343a32c185d6bd5fb323723a2c5aded1fead2ae0fb34ae6e97e17f5e15af6a6 SHA512 23ae61266253a5382f4d873492e89523cc26a32dfb43438e5becece88f5af4f0bc4ec756208603653f430b3382c42980a8c92dc0c1ba3e2b13831ade1eb14a27

diff --git a/sys-apps/opal-utils/opal-utils-6.6.1.ebuild b/sys-apps/opal-utils/opal-utils-6.6.1.ebuild
new file mode 100644
index 00000000000..d447870f81e
--- /dev/null
+++ b/sys-apps/opal-utils/opal-utils-6.6.1.ebuild
@@ -0,0 +1,96 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit linux-info python-any-r1 systemd toolchain-funcs
+
+DESCRIPTION="OPAL firmware utilities"
+HOMEPAGE="https://github.com/open-power/skiboot"
+SRC_URI="https://github.com/open-power/skiboot/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0 GPL-2+"
+SLOT="0"
+KEYWORDS="~ppc64"
+IUSE="doc"
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+BDEPEND="doc? (
+	$(python_gen_any_dep '
+		dev-python/sphinx[${PYTHON_USEDEP}]
+		dev-python/recommonmark[${PYTHON_USEDEP}]
+	')
+)"
+
+CONFIG_CHECK="~MTD_POWERNV_FLASH ~OPAL_PRD ~PPC_DT_CPU_FTRS ~SCOM_DEBUGFS"
+ERROR_MTD_POWERND_FLASH="CONFIG_MTD_POWERND_FLASH is required to use pflash and opal-gard"
+ERROR_OPAL_PRD="CONFIG_OPAL_PRD is required to run opal-prd daemon"
+ERROR_SCOM_DEBUGFS="CONFIG_SCOM_DEBUGFS is required to use xscom-utils"
+
+S="${WORKDIR}/skiboot-${PV}"
+
+python_check_deps() {
+	has_version "dev-python/recommonmark[${PYTHON_USEDEP}]" &&
+	has_version "dev-python/sphinx[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+	linux-info_pkg_setup
+	use doc && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+	sed -i '/^CFLAGS +=/ s/-g2 -ggdb//' external/opal-prd/Makefile || die
+	sed -i 's/-lrt -o/-lrt $(LDFLAGS) -o/' external/ffspart/rules.mk || die
+}
+
+src_configure() {
+	tc-export CC LD
+	export OPAL_PRD_VERSION="${PV}"
+	export GARD_VERSION="${PV}"
+	export PFLASH_VERSION="${PV}"
+	export XSCOM_VERSION="${PV}"
+	export FFSPART_VERSION="${PV}"
+}
+
+src_compile() {
+	emake V=1 -C external/opal-prd
+	emake V=1 -C external/gard
+	emake V=1 -C external/pflash
+	emake V=1 -C external/xscom-utils
+	emake V=1 -C external/ffspart
+
+	use doc && emake V=1 -C doc html
+}
+
+src_install() {
+	emake -C external/opal-prd DESTDIR="${D}" prefix="${EPREFIX}/usr" install
+	emake -C external/gard DESTDIR="${D}" prefix="${EPREFIX}/usr" install
+	emake -C external/pflash DESTDIR="${D}" prefix="${EPREFIX}/usr" install
+	emake -C external/xscom-utils DESTDIR="${D}" prefix="${EPREFIX}/usr" install
+	dosbin external/ffspart/ffspart
+
+	newinitd "${FILESDIR}"/opal-prd.initd opal-prd
+	newconfd "${FILESDIR}"/opal-prd.confd opal-prd
+
+	systemd_dounit external/opal-prd/opal-prd.service
+
+	if use doc; then
+		rm -r doc/_build/html/_sources || die
+		local HTML_DOCS=( doc/_build/html/. )
+	fi
+	einstalldocs
+}
+
+src_test() {
+	emake V=1 -C external/opal-prd test
+	emake V=1 -C external/gard check
+	# this test is fragile and fails because of unstable output
+	rm external/pflash/test/tests/01-info || die
+	emake V=1 -C external/pflash check
+	emake V=1 -C external/ffspart check
+}


             reply	other threads:[~2020-06-09 20:51 UTC|newest]

Thread overview: 31+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-09 20:50 Georgy Yakovlev [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-03 12:44 [gentoo-commits] repo/gentoo:master commit in: sys-apps/opal-utils/ Arthur Zamarin
2023-04-03 17:15 Georgy Yakovlev
2022-11-11 11:57 Georgy Yakovlev
2022-11-11 11:57 Georgy Yakovlev
2022-01-13 21:37 Georgy Yakovlev
2021-11-09  4:54 Georgy Yakovlev
2021-11-09  4:54 Georgy Yakovlev
2021-11-09  4:54 Georgy Yakovlev
2021-05-30  1:07 Georgy Yakovlev
2021-05-29 23:40 Georgy Yakovlev
2021-05-29 19:53 Georgy Yakovlev
2021-05-29 18:32 Georgy Yakovlev
2021-04-18  0:36 Georgy Yakovlev
2020-12-25 12:17 Sergei Trofimovich
2020-12-18 10:25 Sergei Trofimovich
2020-12-18  9:53 Sergei Trofimovich
2020-11-03  4:37 Georgy Yakovlev
2020-10-04 20:15 Georgy Yakovlev
2020-09-10  0:27 Georgy Yakovlev
2020-09-05  7:49 Georgy Yakovlev
2020-09-02 20:14 Georgy Yakovlev
2020-09-02 20:14 Georgy Yakovlev
2020-07-03 20:35 Georgy Yakovlev
2020-06-09 20:50 Georgy Yakovlev
2020-04-23  9:03 Georgy Yakovlev
2020-04-23  9:03 Georgy Yakovlev
2020-04-23  9:03 Georgy Yakovlev
2020-02-10 13:26 Michał Górny
2019-12-22  6:21 Georgy Yakovlev
2019-08-25  1:50 Georgy Yakovlev

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1591735419.5facaf1701025e7a2622ae242a4a96af2866b620.gyakovlev@gentoo \
    --to=gyakovlev@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox